PS3 Update 3.15 Now Mandatory

The once-optional 3.15 update for the PS3 has now been changed to mandatory.  The reason for this is a little unclear, but it could mean that they are planning to implement something very soon which needs the 3.15 update features.  Many of you PS3 owners have already updated your systems, but for those of you who had downloaded the update before it became mandatory, it shouldn’t prompt you to update again.  For a closer look at the new update visit the Playstation Blog.

, , , ,